#pragma once
#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <string>

#define MAXID 20

using namespace std;


enum TypSym { S_nic, S_cislo, S_id, 
	S_plus, S_minus, S_krat, S_deleno, S_prirad, 
	S_lzav, S_rzav, S_strednik, S_carka, S_begin, S_end,
	S_var, S_cti, S_pis, S_procenta, 
	S_endoffile};

struct TSymbol {
	TypSym typ;
	int atribInt;
	string atribstr;
	TSymbol() {
		typ = S_nic;
	};
};

struct TVstup {
	char c;
	int rad;
	int konec;
	int pozice;
};

TSymbol symbol;
string nazevsouboru;
TVstup vstup;

string vypis_symbol(TypSym s) {
	switch (s) {
	case S_nic: return "nedefinovano";
	case S_cislo: return "cislo";
	case S_id: return "promenna";
	case S_plus: return "+";
	case S_minus: return "-";
	case S_krat: return "*";
	case S_deleno: return "/";
	case S_prirad: return "=";
	case S_lzav: return "leva zavorka";
	case S_rzav: return "prava zavorka";
	case S_strednik: return "strednik";
	case S_carka: return "carka";
	case S_begin: return "zacatek bloku";
	case S_end: return "konec bloku";
	case S_var: return "VAR";
	case S_cti: return "CTI";
	case S_pis: return "PIS";
	case S_procenta: return "PROCENTA";
	case S_endoffile: return "konec souboru";
	}
}

void vypis_chybu(const string s) {

	cout << "chyba na radku " << vstup.rad << " na pozici " << vstup.pozice << ": " << s;
	vstup.konec = 1;
}

